Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065521 - public folders can't be accessed (Internal Error, HTTP 500)
Summary: public folders can't be accessed (Internal Error, HTTP 500)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-user-share
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 20:43 UTC by Mildred
Modified: 2015-06-29 15:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:13:22 UTC


Attachments (Terms of Use)

Description Mildred 2014-02-14 20:43:11 UTC
Description of problem: Public folders cant be accessed


Version-Release number of selected component (if applicable):
gnome-user-share-3.10.1-1.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. setup file sharing
2. try to access the webdav share (either though nautilus or firefox

Actual results:
Error 500

Expected results:
See files

Additional info:

Changed log level from crit to info, and saw the following line in ~/.config/user-share/log:

[Fri Feb 14 21:39:00.476924 2014] [core:notice] [pid 22516] AH00094: Command line: '/usr/sbin/httpd -f /usr/share/gnome-user-share/dav_user_2.4.conf -C Listen 36804'
[Fri Feb 14 21:39:00.479562 2014] [:error] [pid 22519] avahi_entry_group_add_service_strlst("moiraine") failed: Local name collision
[Fri Feb 14 21:39:00.480512 2014] [:error] [pid 22519] avahi_entry_group_add_service_strlst("mildred's public files on moiraine") failed: Local name collision
[Fri Feb 14 21:39:01.217600 2014] [authz_core:error] [pid 22432] [client 192.168.42.10:51367] AH01627: AuthType configured with no corresponding authorization directives

Tried to set up the share with a password, or without. No change.

Comment 1 Samuel Sieb 2014-03-03 05:07:48 UTC
If you add a line in there with "require all granted" after the AuthType section, it will work with no password.

Comment 2 Štefan Gurský 2014-05-02 11:55:05 UTC
It is also in gnome bugzilla (https://bugzilla.gnome.org/show_bug.cgi?id=728485) and as I wrote there – Debain has this fixed in their package (11_apache_noauth.patch in http://ftp.de.debian.org/debian/pool/main/g/gnome-user-share/gnome-user-share_3.8.3-1.debian.tar.gz – I think the patch should work for 3.10, since the affected file seems to have only one version).

Comment 3 Fedora End Of Life 2015-05-29 10:55:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 15:13:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.